# The Value of Kratix

Unlike other frameworks and tooling which focus exclusively on application-developer experience, Kratix focuses on empowering platform engineers to build better platforms. By using Kubernetes as the building block, Kratix brings together the power and flexibility of raw Kubernetes and enables platform teams to simplify the experience for application teams by reducing complexity. In addition, Kratix enables the injection of business-specific requirements such as compliance, security, and billing so that the “Promises” delivered by the platform represent the Golden Paths to production; making the right way the easy way.

### A Platform Team can:
- Curate a bespoke platform API to offer a compelling Platform as a Product.
- Codify their organisation's policies and opinions (security, compliance, etc) into their as-a-Service software supply chain.
- Provide usable on-demand services composed from lower-level Kubernetes "operators".
- Use familiar Kubernetes tools and native constructs.
- Start small on a laptop and expand to multi-team multi-cluster multi-region multi-cloud with a consistent API everywhere.
- Discover and share on-demand multi-cluster software (Promises) with the Kratix ecosystem.

### A Stream-Aligned / Application Team can:
- Discover and consume the services in their organisation on-demand using standard Kubernetes APIs.
- Consume as-a-Service from the platform, safe in the knowledge that the service is fit for purpose in their organisation.

See the ["Crossing the Platform Gap" article on Syntasso.io](https://www.syntasso.io/post/crossing-the-platform-gap).
